QwtLinearColorMap(3)

NAME
QwtLinearColorMap -

SYNOPSIS

#include <qwt_color_map.h>

Inherits QwtColorMap.

  Public Types
enum Mode { FixedColors, ScaledColors }

  Public Member Functions
QwtLinearColorMap (QwtColorMap::Format=QwtColorMap::RGB)
QwtLinearColorMap (const QColor &from, const QColor &to, QwtColorMap::Format=QwtColorMap::RGB)
virtual ~QwtLinearColorMap ()
void addColorStop (double value, const QColor &)
QColor color1 () const
QColor color2 () const
virtual unsigned char colorIndex (const QwtInterval &, double value) const
QVector< double > colorStops () const
Mode mode () const
virtual QRgb rgb (const QwtInterval &, double value) const
void setColorInterval (const QColor &color1, const QColor &color2)
void setMode (Mode)

Detailed Description

QwtLinearColorMap builds a color map from color stops. A color stop is a color at a specific position. The valid range for the positions is [0.0, 1.0]. When mapping a value into a color it is translated into this interval according to mode().

Member Enumeration Documentation

  enum QwtLinearColorMap::Mode
Mode of color map

See also:
    setMode(), mode()

Enumerator:

FixedColors
    Return the color from the next lower color stop.

ScaledColors
    Interpolating the colors of the adjacent stops.

Constructor & Destructor Documentation

  QwtLinearColorMap::QwtLinearColorMap (QwtColorMap::Formatformat = QwtColorMap::RGB)
Build a color map with two stops at 0.0 and 1.0. The color at 0.0 is Qt::blue, at 1.0 it is Qt::yellow.

Parameters:
    format Preferred format of the color map

  QwtLinearColorMap::QwtLinearColorMap (const QColor &color1, const QColor &color2, QwtColorMap::Formatformat = QwtColorMap::RGB)
Build a color map with two stops at 0.0 and 1.0.

Parameters:
    color1 Color used for the minimum value of the value interval
    color2 Color used for the maximum value of the value interval
    format Preferred format of the coor map

Member Function Documentation

  void QwtLinearColorMap::addColorStop (doublevalue, const QColor &color)
Add a color stop

The value has to be in the range [0.0, 1.0]. F.e. a stop at position 17.0 for a range [10.0,20.0] must be passed as: (17.0 - 10.0) / (20.0 - 10.0)

Parameters:
    value Value between [0.0, 1.0]
    color Color stop

  QColor QwtLinearColorMap::color1 () const
Returns:
    the first color of the color range

See also:
    setColorInterval()

  QColor QwtLinearColorMap::color2 () const
Returns:
    the second color of the color range

See also:
    setColorInterval()

  unsigned char QwtLinearColorMap::colorIndex (const QwtInterval &interval, doublevalue) const [virtual]
Map a value of a given interval into a color index, between 0 and 255

Parameters:
    interval Range for all values
    value Value to map into a color index

Implements QwtColorMap.

  QVector< double > QwtLinearColorMap::colorStops () const
Return all positions of color stops in increasing order

  QwtLinearColorMap::Mode QwtLinearColorMap::mode () const
Returns:
    Mode of the color map

See also:
    setMode()

  QRgb QwtLinearColorMap::rgb (const QwtInterval &interval, doublevalue) const [virtual]
Map a value of a given interval into a rgb value

Parameters:
    interval Range for all values
    value Value to map into a rgb value

Implements QwtColorMap.

  void QwtLinearColorMap::setColorInterval (const QColor &color1, const QColor &color2)
Set the color range

Add stops at 0.0 and 1.0.

Parameters:
    color1 Color used for the minimum value of the value interval
    color2 Color used for the maximum value of the value interval

See also:
    color1(), color2()

  void QwtLinearColorMap::setMode (Modemode)

Set the mode of the color map. FixedColors means the color is calculated from the next lower color stop. ScaledColors means the color is calculated by interpolating the colors of the adjacent stops.

See also:
    mode()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.